Subject: bug#13524: [PATCH 1/2] preproc: add support for relative names in included fragments

From: Stefano Lattarini <[email-masked]>
Date: Thu, 14 Feb 2013 20:23:02 +0100

On 02/14/2013 08:10 PM, Bob Friesenhahn wrote:
> On Thu, 14 Feb 2013, Stefano Lattarini wrote:
>>
>>> A substantial blocker for converting large packages to non-recursive
>>> builds will be eliminated.  Considerable time and electricity will
>>> be saved.
>>
>> By chance, do you plan to start using the feature in some package of
>> yours, even before it lands in a released Automake version?  I'm asking
>> because it could be some months before the next minor (non-bug-fixing)
>> Automake release.
> 
> I might be convinced to test it with GraphicsMagick (presumably a
> collection of sed substitutions would be sufficient to edit the Makefiles)
> but would not want to release any software based on an unreleased Automake.
>
Of course.  I was thinking more about an experimental branch where the
new feature could be used (so that an unreleased Automake version would
be required only to bootstrap that branch); and such a branch wouldn't
be merged back into the "trunk" until the require feature has appeared
in a released Automake.

Regards,
  Stefano